powered by Jive Software

Could not initialize Java VM

Hi !


OS FreeBSD 6.0

Wildfire 2.4.0

JRE 1.1.8


I try starting wildfire and have this message:

  1. jive_wildfire/bin/wildfire

testing JVM in /usr/local …

testing JVM in /usr/local/jre1.1.8 …

No suitable Java Virtual Machine could be found on your system.

The version of the JVM must be at least 1.5.

Please define INSTALL4J_JAVA_HOME to point to a suitable JVM.

You can also try to delete the JVM cache file /root/.install4j


I look in .install4j and inside:

  1. cat /root/.install4j

JRE_VERSION /usr/local 0

JRE_VERSION /usr/local/jre1.1.8 0


But i install JRE from ports tree before !

I try test jre and have this:


  1. java

Could not initialize Java VM

What i must do to fix this ?


Sorry for my English =)

If you install Java through the FreeBSD port collection, you’'ll get Java 1.1.8. You need 1.5 though.

Java on FreeBSD is a like tricky in my opinion. I know of an effort to get 1.5 going, but last time I checked you needed FreeBSD 4.11 for that. You’'ll find more information on http://www.freebsd.org/java